local MPath = ModPath
Hooks:PostHook(SkillTreeTweakData, "init", "SkillTreeTweakData_Penglai",function(self, data)
	DB:create_entry(
		Idstring("texture"),
		Idstring("guis/dlcs/peng_lai/textures/pd2/specialization/icons_atlas"),
		MPath .. "assets/textures/icons_atlas.texture"
	)
	
	local deck2 = {
		cost = 0,
		desc_id = "menu_deckall_fixed_2_desc",
		name_id = "menu_deckall_2",
		upgrades = {
			"weapon_passive_headshot_damage_multiplier"
		},
		icon_xy = {
			1,
			0
		}
	}
	local deck4 = {
		cost = 0,
		desc_id = "menu_deckall_fixed_4_desc",
		name_id = "menu_deckall_4",
		upgrades = {
			"passive_player_xp_multiplier",
			"player_passive_suspicion_bonus",
			"player_passive_armor_movement_penalty_multiplier"
		},
		icon_xy = {
			3,
			0
		}
	}
	local deck6 = {
		cost = 0,
		desc_id = "menu_deckall_fixed_6_desc",
		name_id = "menu_deckall_6",
		upgrades = {
			"armor_kit",
			"player_pick_up_ammo_multiplier"
		},
		icon_xy = {
			5,
			0
		}
	}
	local deck8 = {
		cost = 0,
		desc_id = "menu_deckall_fixed_8_desc",
		name_id = "menu_deckall_8",
		upgrades = {
			"weapon_passive_damage_multiplier",
			"passive_doctor_bag_interaction_speed_multiplier"
		},
		icon_xy = {
			7,
			0
		}
	}
	table.insert(self.specializations,
		{
			name_id = "menu_Peng_lai_title",
			desc_id = "menu_Peng_lai_desc",
			{
				upgrades = {
					"Peng_lai_1"
				},
				cost = 0,
				texture_bundle_folder = "peng_lai",
				icon_xy = {0, 0},
				name_id = "menu_Peng_lai_1_title",
				desc_id = "menu_Peng_lai_1_desc"
			},
			deck2,
			{
				upgrades = {
					"Peng_lai_2"
				},
				cost = 0,
				texture_bundle_folder = "peng_lai",
				icon_xy = {1, 0},
				name_id = "menu_Peng_lai_3_title",
				desc_id = "menu_Peng_lai_3_desc"
			},
			deck4,
			{
				upgrades = {
					"Peng_lai_3"
				},
				cost = 0,
				texture_bundle_folder = "peng_lai",
				icon_xy = {2, 0},
				name_id = "menu_Peng_lai_5_title",
				desc_id = "menu_Peng_lai_5_desc"
			},
			deck6,
			{
				upgrades = {
					"Peng_lai_4",
					"Penglai_grenades"
				},
				cost = 0,
				texture_bundle_folder = "peng_lai",
				icon_xy = {3, 0},
				name_id = "menu_Peng_lai_7_title",
				desc_id = "menu_Peng_lai_7_desc"
			},
			deck8,
			{
				upgrades = {
					"Peng_lai_5"
				},
				cost = 0,
				texture_bundle_folder = "peng_lai",
				icon_xy = {0, 1},
				name_id = "menu_Peng_lai_9_title",
				desc_id = "menu_Peng_lai_9_desc"
			}
		}
	)
end)